/*global module:false*/
module.exports = function(grunt) {

  // Project configuration.
  grunt.initConfig({
    // Metadata.
    pkg: grunt.file.readJSON('package.json'),

    // Task configuration.
    sass: {
      options: {
        sourceMap: true
      },
      dist: {
        files: {
          'dist/css/<%= pkg.name %>.css': 'src/scss/main.scss'
        }
      }
    },
    
    watch: {
      files: ['src/scss/**/*.scss'],
      tasks: ['sass'],
    }
  });

  // These plugins provide necessary tasks.
  //grunt.loadNpmTasks('grunt-contrib-concat');
  grunt.loadNpmTasks('grunt-sass');
  //grunt.loadNpmTasks('grunt-contrib-uglify');
  grunt.loadNpmTasks('grunt-contrib-watch');

  // Default task.
  grunt.registerTask('default', ['sass']);

};
